Bug 125461 - alias.db inclusion breaks verify
alias.db inclusion breaks verify
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 2004-06-07 13:50 EDT by Chris Ricker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-21 08:24:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2004-06-07 13:50:46 EDT
[root@d1000 spool]# rpm -V postfix
/etc/security/selinux/file_contexts: No such file or directory
S.5....T  c /etc/postfix/aliases.db
[root@d1000 spool]#

Why have the

%config(noreplace) %{postfix_config_dir}/aliases.db

and ship aliases.db in the postfix binary RPM? It breaks rpm
verification since starting the postfix daemon will always overwrite
the bogus shipped aliases.db with a correctly generated one....
Comment 1 Thomas Woerner 2004-06-21 08:24:45 EDT
Fixed in rawhide in rpm postfix-2.1.1-3.1 or newer.

Note You need to log in before you can comment on or make changes to this bug.